package com.solution.system.service;

import java.util.List;
import com.solution.system.domain.Nodeparameter;

/**
 * 节点参数Service接口
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
public interface INodeparameterService 
{
    /**
     * 查询节点参数
     * 
     * @param id 节点参数主键
     * @return 节点参数
     */
    public Nodeparameter selectNodeparameterById(Long id);

    /**
     * 查询节点参数列表
     * 
     * @param nodeparameter 节点参数
     * @return 节点参数集合
     */
    public List<Nodeparameter> selectNodeparameterList(Nodeparameter nodeparameter);

    /**
     * 新增节点参数
     * 
     * @param nodeparameter 节点参数
     * @return 结果
     */
    public int insertNodeparameter(Nodeparameter nodeparameter);

    /**
     * 修改节点参数
     * 
     * @param nodeparameter 节点参数
     * @return 结果
     */
    public int updateNodeparameter(Nodeparameter nodeparameter);

    /**
     * 批量删除节点参数
     * 
     * @param ids 需要删除的节点参数主键集合
     * @return 结果
     */
    public int deleteNodeparameterByIds(Long[] ids);

    /**
     * 删除节点参数信息
     * 
     * @param id 节点参数主键
     * @return 结果
     */
    public int deleteNodeparameterById(Long id);
}
